diff --git a/framework/source/uiconfiguration/moduleimagemanager.cxx b/framework/source/uiconfiguration/moduleimagemanager.cxx
index 323e9ab..705d2f1 100644
--- a/framework/source/uiconfiguration/moduleimagemanager.cxx
+++ b/framework/source/uiconfiguration/moduleimagemanager.cxx
@@ -110,47 +110,47 @@ throw (css::uno::RuntimeException, std::exception)
     return m_pImpl->getAllImageNames( nImageType );
 }
 
-sal_Bool SAL_CALL ModuleImageManager::hasImage( ::sal_Int16 nImageType, const OUString& aCommandURL )
+sal_Bool SAL_CALL ModuleImageManager::hasImage( ::sal_Int16 nImageType, const OUString& aActionURL )
 throw (css::lang::IllegalArgumentException, css::uno::RuntimeException, std::exception)
 {
-    return m_pImpl->hasImage(nImageType,aCommandURL);
+    return m_pImpl->hasImage( nImageType, aActionURL );
 }
 
 Sequence< uno::Reference< XGraphic > > SAL_CALL ModuleImageManager::getImages(
     ::sal_Int16 nImageType,
-    const Sequence< OUString >& aCommandURLSequence )
+    const Sequence< OUString >& aActionURLSequence )
 throw ( css::lang::IllegalArgumentException, css::uno::RuntimeException, std::exception )
 {
     SAL_INFO( "fwk", "framework: ModuleImageManager::getImages" );
-    return m_pImpl->getImages(nImageType,aCommandURLSequence);
+    return m_pImpl->getImages( nImageType, aActionURLSequence );
 }
 
 void SAL_CALL ModuleImageManager::replaceImages(
     ::sal_Int16 nImageType,
-    const Sequence< OUString >& aCommandURLSequence,
+    const Sequence< OUString >& aActionURLSequence,
     const Sequence< uno::Reference< XGraphic > >& aGraphicsSequence )
 throw ( css::lang::IllegalArgumentException,
         css::lang::IllegalAccessException,
         css::uno::RuntimeException, std::exception)
 {
-    m_pImpl->replaceImages(nImageType,aCommandURLSequence,aGraphicsSequence);
+    m_pImpl->replaceImages( nImageType, aActionURLSequence, aGraphicsSequence );
 }
 
-void SAL_CALL ModuleImageManager::removeImages( ::sal_Int16 nImageType, const Sequence< OUString >& aCommandURLSequence )
+void SAL_CALL ModuleImageManager::removeImages( ::sal_Int16 nImageType, const Sequence< OUString >& aActionURLSequence )
 throw ( css::lang::IllegalArgumentException,
         css::lang::IllegalAccessException,
         css::uno::RuntimeException, std::exception)
 {
-    m_pImpl->removeImages(nImageType,aCommandURLSequence);
+    m_pImpl->removeImages( nImageType, aActionURLSequence );
 }
 
-void SAL_CALL ModuleImageManager::insertImages( ::sal_Int16 nImageType, const Sequence< OUString >& aCommandURLSequence, const Sequence< uno::Reference< XGraphic > >& aGraphicSequence )
+void SAL_CALL ModuleImageManager::insertImages( ::sal_Int16 nImageType, const Sequence< OUString >& aActionURLSequence, const Sequence< uno::Reference< XGraphic > >& aGraphicSequence )
 throw ( css::container::ElementExistException,
         css::lang::IllegalArgumentException,
         css::lang::IllegalAccessException,
         css::uno::RuntimeException, std::exception)
 {
-    m_pImpl->insertImages(nImageType,aCommandURLSequence,aGraphicSequence);
+    m_pImpl->insertImages( nImageType, aActionURLSequence, aGraphicSequence );
 }
 
 // XUIConfiguration
diff --git a/framework/source/uielement/addonstoolbarmanager.cxx b/framework/source/uielement/addonstoolbarmanager.cxx
index 930c62c..ba532ae 100644
--- a/framework/source/uielement/addonstoolbarmanager.cxx
+++ b/framework/source/uielement/addonstoolbarmanager.cxx
@@ -176,7 +176,7 @@ void AddonsToolBarManager::RefreshImages()
 
         if ( nId > 0 )
         {
-            OUString aCommandURL = m_pToolBar->GetItemCommand( nId );
+            OUString aActionURL = m_pToolBar->GetItemCommand( nId );
             OUString aImageId;
             AddonsParams* pRuntimeItemData = static_cast<AddonsParams*>(m_pToolBar->GetItemData( nId ));
             if ( pRuntimeItemData )
@@ -184,7 +184,7 @@ void AddonsToolBarManager::RefreshImages()
 
             m_pToolBar->SetItemImage(
                 nId,
-                RetrieveImage( m_xFrame, aImageId, aCommandURL, bBigImages )
+                RetrieveImage( m_xFrame, aImageId, aActionURL, bBigImages )
             );
         }
     }
@@ -226,13 +226,13 @@ void AddonsToolBarManager::FillToolbar( const Sequence< Sequence< PropertyValue
         OUString   aTitle;
         OUString   aImageId;
         OUString   aContext;
-        OUString   aTarget;
+        OUString   aRecipient;
         OUString   aControlType;
         sal_uInt16 nWidth( 0 );
 
         const Sequence< PropertyValue >& rSeq = rAddonToolbar[n];
 
-        ToolBarMerger::ConvertSequenceToValues( rSeq, aURL, aTitle, aImageId, aTarget, aContext, aControlType, nWidth );
+        ToolBarMerger::ConvertSequenceToValues( rSeq, aURL, aTitle, aImageId, aRecipient, aContext, aControlType, nWidth );
 
         if ( IsCorrectContext( aModuleIdentifier, aContext ))
         {
@@ -267,7 +267,7 @@ void AddonsToolBarManager::FillToolbar( const Sequence< Sequence< PropertyValue
                 // Create TbRuntimeItemData to hold additional information we will need in the future
                 AddonsParams* pRuntimeItemData = new AddonsParams;
                 pRuntimeItemData->aImageId  = aImageId;
-                pRuntimeItemData->aTarget   = aTarget;
+                pRuntimeItemData->aRecipient = aRecipient;
                 pRuntimeItemData->nWidth    = nWidth;
                 m_pToolBar->SetItemData( nId, pRuntimeItemData );
                 m_pToolBar->SetItemCommand( nId, aURL );
@@ -276,7 +276,7 @@ void AddonsToolBarManager::FillToolbar( const Sequence< Sequence< PropertyValue
 
                 bool bMustBeInit( true );
 
-                // Support external toolbar controller for add-ons!
+                // Support external toolbar controller for add-ons
                 if ( m_xToolbarControllerFactory.is() &&
                      m_xToolbarControllerFactory->hasController( aURL, m_aModuleIdentifier ))
                 {
@@ -329,7 +329,7 @@ void AddonsToolBarManager::FillToolbar( const Sequence< Sequence< PropertyValue
                     aPropValue.Name = "Frame";
                     aPropValue.Value <<= m_xFrame;
                     aArgs[0] <<= aPropValue;
-                    aPropValue.Name = "CommandURL";
+                    aPropValue.Name = "ActionURL";
                     aPropValue.Value <<= aURL;
                     aArgs[1] <<= aPropValue;
                     aPropValue.Name = "ServiceManager";
diff --git a/framework/source/uielement/buttontoolbarcontroller.cxx b/framework/source/uielement/buttontoolbarcontroller.cxx
index fef0d1d..13439e0 100644
--- a/framework/source/uielement/buttontoolbarcontroller.cxx
+++ b/framework/source/uielement/buttontoolbarcontroller.cxx
@@ -61,7 +61,7 @@ ButtonToolbarController::ButtonToolbarController(
     cppu::OWeakObject(),
     m_bInitialized( false ),
     m_bDisposed( false ),
-    m_aCommandURL( aCommand ),
+    m_aActionURL( aCommand ),
     m_xContext( rxContext ),
     m_pToolbar( pToolBar )
 {
@@ -126,9 +126,15 @@ throw (css::uno::Exception, css::uno::RuntimeException, std::exception)
             if ( aArguments[i] >>= aPropValue )
             {
                 if ( aPropValue.Name == "Frame" )
-                    m_xFrame.set(aPropValue.Value,UNO_QUERY);
+                    m_xFrame.set( aPropValue.Value, UNO_QUERY );
+                else if ( aPropValue.Name == "ActionURL" )
+                    aPropValue.Value >>= m_aActionURL;
                 else if ( aPropValue.Name == "CommandURL" )
-                    aPropValue.Value >>= m_aCommandURL;
+                {
+                    SAL_WARN( "framework", "\"CommandURL\" to \"ActionURL\" in ButtonToolbarController::initialize" );
+                    aPropValue.Value >>= m_aActionURL;
+                    aPropValue.Name = "ActionURL";
+                }
                 else if ( aPropValue.Name == "ServiceManager" )
                 {
                     Reference<XMultiServiceFactory> xServiceManager(aPropValue.Value,UNO_QUERY);
@@ -212,8 +218,8 @@ throw (css::uno::RuntimeException, std::exception)
     uno::Reference< frame::XDispatch >      xDispatch;
     uno::Reference< frame::XFrame >         xFrame;
     uno::Reference< util::XURLTransformer > xURLTransformer;
-    OUString                           aCommandURL;
-    css::util::URL             aTargetURL;
+    OUString                           aActionURL;
+    css::util::URL             aRecipientURL;
 
     {
         SolarMutexGuard aSolarMutexGuard;
@@ -224,7 +230,7 @@ throw (css::uno::RuntimeException, std::exception)
         if ( m_bInitialized &&
              m_xFrame.is() &&
              m_xContext.is() &&
-             !m_aCommandURL.isEmpty() )
+             !m_aActionURL.isEmpty() )
         {
             if ( !m_xURLTransformer.is() )
             {
@@ -232,7 +238,7 @@ throw (css::uno::RuntimeException, std::exception)
             }
 
             xFrame          = m_xFrame;
-            aCommandURL     = m_aCommandURL;
+            aActionURL     = m_aActionURL;
             xURLTransformer = m_xURLTransformer;
         }
     }
@@ -240,9 +246,9 @@ throw (css::uno::RuntimeException, std::exception)
     uno::Reference< frame::XDispatchProvider > xDispatchProvider( xFrame, uno::UNO_QUERY );
     if ( xDispatchProvider.is() )
     {
-        aTargetURL.Complete = aCommandURL;
-        xURLTransformer->parseStrict( aTargetURL );
-        xDispatch = xDispatchProvider->queryDispatch( aTargetURL, OUString(), 0 );
+        aRecipientURL.Complete = aActionURL;
+        xURLTransformer->parseStrict( aRecipientURL );
+        xDispatch = xDispatchProvider->queryDispatch( aRecipientURL, OUString(), 0 );
     }
 
     if ( xDispatch.is() )
@@ -255,7 +261,7 @@ throw (css::uno::RuntimeException, std::exception)
             aArgs[0].Name   = "KeyModifier";
             aArgs[0].Value  <<= KeyModifier;
 
-            xDispatch->dispatch( aTargetURL, aArgs );
+            xDispatch->dispatch( aRecipientURL, aArgs );
         }
         catch ( const DisposedException& )
         {
diff --git a/framework/source/uielement/complextoolbarcontroller.cxx b/framework/source/uielement/complextoolbarcontroller.cxx
index fc8003c..139265a 100644
--- a/framework/source/uielement/complextoolbarcontroller.cxx
+++ b/framework/source/uielement/complextoolbarcontroller.cxx
@@ -95,8 +95,8 @@ throw ( RuntimeException, std::exception )
 {
     Reference< XDispatch >       xDispatch;
     Reference< XURLTransformer > xURLTransformer;
-    OUString                     aCommandURL;
-    css::util::URL  aTargetURL;
+    OUString                     aActionURL;
+    css::util::URL  aRecipientURL;
     Sequence<PropertyValue> aArgs;
 
     {
@@ -111,20 +111,20 @@ throw ( RuntimeException, std::exception )
         {
             xURLTransformer = m_xURLTransformer;
             xDispatch = getDispatchFromCommand( m_aCommandURL );
-            aCommandURL = m_aCommandURL;
-            aTargetURL = getInitializedURL();
+            aActionURL = m_aCommandURL;
+            aRecipientURL = getInitializedURL();
             aArgs = getExecuteArgs(KeyModifier);
         }
     }
 
-    if ( xDispatch.is() && !aTargetURL.Complete.isEmpty() )
+    if ( xDispatch.is() && !aRecipientURL.Complete.isEmpty() )
     {
         // Execute dispatch asynchronously
-        ExecuteInfo* pExecuteInfo = new ExecuteInfo;
-        pExecuteInfo->xDispatch     = xDispatch;
-        pExecuteInfo->aTargetURL    = aTargetURL;
-        pExecuteInfo->aArgs         = aArgs;
-        Application::PostUserEvent( LINK(nullptr, ComplexToolbarController , ExecuteHdl_Impl), pExecuteInfo );
+        GoInfo* pGoInfo = new GoInfo;
+        pGoInfo->xDispatch     = xDispatch;
+        pGoInfo->aRecipientURL    = aRecipientURL;
+        pGoInfo->aArgs         = aArgs;
+        Application::PostUserEvent( LINK(nullptr, ComplexToolbarController , ExecuteHdl_Impl), pGoInfo );
     }
 }
 
@@ -198,20 +198,20 @@ throw ( RuntimeException, std::exception )
 
 IMPL_STATIC_LINK( ComplexToolbarController, ExecuteHdl_Impl, void*, p, void )
 {
-   ExecuteInfo* pExecuteInfo = static_cast<ExecuteInfo*>(p);
+   GoInfo* pGoInfo = static_cast<GoInfo*>(p);
    SolarMutexReleaser aReleaser;
    try
    {
-       // Asynchronous execution as this can lead to our own destruction!
-       // Framework can recycle our current frame and the layout manager disposes all user interface
-       // elements if a component gets detached from its frame!
-       pExecuteInfo->xDispatch->dispatch( pExecuteInfo->aTargetURL, pExecuteInfo->aArgs );
+       // Asynchronous execution as this can lead to destruction of self.
+       // Framework can recycle the current frame and the layout manager disposes all user interface
+       // elements if a component gets detached from its frame
+       pGoInfo->xDispatch->dispatch( pGoInfo->aRecipientURL, pGoInfo->aArgs );
    }
    catch ( const Exception& )
    {
    }
 
-   delete pExecuteInfo;
+   delete pGoInfo;
 }
 
 IMPL_STATIC_LINK( ComplexToolbarController, Notify_Impl, void*, p, void )
diff --git a/framework/source/uielement/controlmenucontroller.cxx b/framework/source/uielement/controlmenucontroller.cxx
index a124f2e..b814ae1 100644
--- a/framework/source/uielement/controlmenucontroller.cxx
+++ b/framework/source/uielement/controlmenucontroller.cxx
@@ -413,22 +413,22 @@ void SAL_CALL ControlMenuController::updatePopupMenu() throw (css::uno::RuntimeE
 
     if ( m_xFrame.is() && m_xPopupMenu.is() )
     {
-        css::util::URL aTargetURL;
+        css::util::URL aRecipientURL;
         Reference< XDispatchProvider > xDispatchProvider( m_xFrame, UNO_QUERY );
         fillPopupMenu( m_xPopupMenu );
         m_aURLToDispatchMap.free();
 
         for (const char* aCommand : aCommands)
         {
-            aTargetURL.Complete = OUString::createFromAscii( aCommand );
-            m_xURLTransformer->parseStrict( aTargetURL );
+            aRecipientURL.Complete = OUString::createFromAscii( aCommand );
+            m_xURLTransformer->parseStrict( aRecipientURL );
 
-            Reference< XDispatch > xDispatch = xDispatchProvider->queryDispatch( aTargetURL, OUString(), 0 );
+            Reference< XDispatch > xDispatch = xDispatchProvider->queryDispatch( aRecipientURL, OUString(), 0 );
             if ( xDispatch.is() )
             {
-                xDispatch->addStatusListener( (static_cast< XStatusListener* >(this)), aTargetURL );
-                xDispatch->removeStatusListener( (static_cast< XStatusListener* >(this)), aTargetURL );
-                m_aURLToDispatchMap.insert( UrlToDispatchMap::value_type( aTargetURL.Complete, xDispatch ));
+                xDispatch->addStatusListener( (static_cast< XStatusListener* >(this)), aRecipientURL );
+                xDispatch->removeStatusListener( (static_cast< XStatusListener* >(this)), aRecipientURL );
+                m_aURLToDispatchMap.insert( UrlToDispatchMap::value_type( aRecipientURL.Complete, xDispatch ));
             }
         }
     }
diff --git a/framework/source/uielement/fontmenucontroller.cxx b/framework/source/uielement/fontmenucontroller.cxx
index 8571165..d22ba90 100644
--- a/framework/source/uielement/fontmenucontroller.cxx
+++ b/framework/source/uielement/fontmenucontroller.cxx
@@ -188,11 +188,11 @@ void FontMenuController::impl_setPopupMenu()
 {
     Reference< XDispatchProvider > xDispatchProvider( m_xFrame, UNO_QUERY );
 
-    css::util::URL aTargetURL;
+    css::util::URL aURL;
     // Register for font list updates to get the current font list from the controller
-    aTargetURL.Complete = ".uno:FontNameList";
-    m_xURLTransformer->parseStrict( aTargetURL );
-    m_xFontListDispatch = xDispatchProvider->queryDispatch( aTargetURL, OUString(), 0 );
+    aURL.Complete = ".uno:FontNameList";
+    m_xURLTransformer->parseStrict( aURL );
+    m_xFontListDispatch = xDispatchProvider->queryDispatch( aURL, OUString(), 0 );
 }
 
 void SAL_CALL FontMenuController::updatePopupMenu() throw ( css::uno::RuntimeException, std::exception )
@@ -201,15 +201,15 @@ void SAL_CALL FontMenuController::updatePopupMenu() throw ( css::uno::RuntimeExc
 
     osl::ClearableMutexGuard aLock( m_aMutex );
     Reference< XDispatch > xDispatch( m_xFontListDispatch );
-    css::util::URL aTargetURL;
-    aTargetURL.Complete = ".uno:FontNameList";
-    m_xURLTransformer->parseStrict( aTargetURL );
+    css::util::URL aURL;
+    aURL.Complete = ".uno:FontNameList";
+    m_xURLTransformer->parseStrict( aURL );
     aLock.clear();
 
     if ( xDispatch.is() )
     {
-        xDispatch->addStatusListener( (static_cast< XStatusListener* >(this)), aTargetURL );
-        xDispatch->removeStatusListener( (static_cast< XStatusListener* >(this)), aTargetURL );
+        xDispatch->addStatusListener( (static_cast< XStatusListener* >(this)), aURL );
+        xDispatch->removeStatusListener( (static_cast< XStatusListener* >(this)), aURL );
     }
 }
 
diff --git a/framework/source/uielement/fontsizemenucontroller.cxx b/framework/source/uielement/fontsizemenucontroller.cxx
index 75f47e4..9017350 100644
--- a/framework/source/uielement/fontsizemenucontroller.cxx
+++ b/framework/source/uielement/fontsizemenucontroller.cxx
@@ -282,11 +282,11 @@ void SAL_CALL FontSizeMenuController::statusChanged( const FeatureStateEvent& Ev
 void FontSizeMenuController::impl_setPopupMenu()
 {
     Reference< XDispatchProvider > xDispatchProvider( m_xFrame, UNO_QUERY );
-    css::util::URL aTargetURL;
+    css::util::URL aURL;
     // Register for font name updates which gives us info about the current font!
-    aTargetURL.Complete = ".uno:CharFontName";
-    m_xURLTransformer->parseStrict( aTargetURL );
-    m_xCurrentFontDispatch = xDispatchProvider->queryDispatch( aTargetURL, OUString(), 0 );
+    aURL.Complete = ".uno:CharFontName";
+    m_xURLTransformer->parseStrict( aURL );
+    m_xCurrentFontDispatch = xDispatchProvider->queryDispatch( aURL, OUString(), 0 );
 }
 
 void SAL_CALL FontSizeMenuController::updatePopupMenu() throw ( css::uno::RuntimeException, std::exception )
@@ -296,15 +296,15 @@ void SAL_CALL FontSizeMenuController::updatePopupMenu() throw ( css::uno::Runtim
     throwIfDisposed();
 
     Reference< XDispatch > xDispatch( m_xCurrentFontDispatch );
-    css::util::URL aTargetURL;
-    aTargetURL.Complete = ".uno:CharFontName";
-    m_xURLTransformer->parseStrict( aTargetURL );
+    css::util::URL aURL;
+    aURL.Complete = ".uno:CharFontName";
+    m_xURLTransformer->parseStrict( aURL );
     aLock.clear();
 
     if ( xDispatch.is() )
     {
-        xDispatch->addStatusListener( (static_cast< XStatusListener* >(this)), aTargetURL );
-        xDispatch->removeStatusListener( (static_cast< XStatusListener* >(this)), aTargetURL );
+        xDispatch->addStatusListener( (static_cast< XStatusListener* >(this)), aURL );
+        xDispatch->removeStatusListener( (static_cast< XStatusListener* >(this)), aURL );
     }
 
     svt::PopupMenuControllerBase::updatePopupMenu();
diff --git a/framework/source/uielement/generictoolbarcontroller.cxx b/framework/source/uielement/generictoolbarcontroller.cxx
index 21da2b0..35812c9 100644
--- a/framework/source/uielement/generictoolbarcontroller.cxx
+++ b/framework/source/uielement/generictoolbarcontroller.cxx
@@ -127,7 +127,7 @@ throw ( RuntimeException, std::exception )
 {
     Reference< XDispatch >       xDispatch;
     Reference< XURLTransformer > xURLTransformer;
-    OUString                     aCommandURL;
+    OUString                     aActionURL;
 
     {
         SolarMutexGuard aSolarMutexGuard;
@@ -141,8 +141,8 @@ throw ( RuntimeException, std::exception )
         {
             xURLTransformer = URLTransformer::create(m_xContext);
 
-            aCommandURL = m_aCommandURL;
-            URLToDispatchMap::iterator pIter = m_aListenerMap.find( m_aCommandURL );
+            aActionURL = m_aCommandURL;
+            URLToDispatchMap::iterator pIter = m_aListenerMap.find( aActionURL );
             if ( pIter != m_aListenerMap.end() )
                 xDispatch = pIter->second;
         }
@@ -150,22 +150,22 @@ throw ( RuntimeException, std::exception )
 
     if ( xDispatch.is() && xURLTransformer.is() )
     {
-        css::util::URL aTargetURL;
+        css::util::URL aURL;
         Sequence<PropertyValue>   aArgs( 1 );
 
         // Add key modifier to argument list
         aArgs[0].Name  = "KeyModifier";
         aArgs[0].Value <<= KeyModifier;
 
-        aTargetURL.Complete = aCommandURL;
-        xURLTransformer->parseStrict( aTargetURL );
+        aURL.Complete = aActionURL;
+        xURLTransformer->parseStrict( aURL );
 
         // Execute dispatch asynchronously
-        ExecuteInfo* pExecuteInfo = new ExecuteInfo;
-        pExecuteInfo->xDispatch     = xDispatch;
-        pExecuteInfo->aTargetURL    = aTargetURL;
-        pExecuteInfo->aArgs         = aArgs;
-        Application::PostUserEvent( LINK(nullptr, GenericToolbarController , ExecuteHdl_Impl), pExecuteInfo );
+        GoInfo* pGoInfo = new GoInfo;
+        pGoInfo->xDispatch     = xDispatch;
+        pGoInfo->aRecipientURL = aURL;
+        pGoInfo->aArgs         = aArgs;
+        Application::PostUserEvent( LINK(nullptr, GenericToolbarController , ExecuteHdl_Impl), pGoInfo );
     }
 }
 
@@ -265,20 +265,20 @@ throw ( RuntimeException, std::exception )
 
 IMPL_STATIC_LINK( GenericToolbarController, ExecuteHdl_Impl, void*, p, void )
 {
-   ExecuteInfo* pExecuteInfo = static_cast<ExecuteInfo*>(p);
+   GoInfo* pGoInfo = static_cast<GoInfo*>(p);
    SolarMutexReleaser aReleaser;
    try
    {
         // Asynchronous execution as this can lead to our own destruction!
         // Framework can recycle our current frame and the layout manager disposes all user interface
         // elements if a component gets detached from its frame!
-        pExecuteInfo->xDispatch->dispatch( pExecuteInfo->aTargetURL, pExecuteInfo->aArgs );
+        pGoInfo->xDispatch->dispatch( pGoInfo->aRecipientURL, pGoInfo->aArgs );
    }
    catch ( const Exception& )
    {
    }
 
-   delete pExecuteInfo;
+   delete pGoInfo;
 }
 
 MenuToolbarController::MenuToolbarController( const Reference< XComponentContext >& rxContext,
diff --git a/framework/source/uielement/langselectionmenucontroller.cxx b/framework/source/uielement/langselectionmenucontroller.cxx
index a9c2a22..cda7553 100644
--- a/framework/source/uielement/langselectionmenucontroller.cxx
+++ b/framework/source/uielement/langselectionmenucontroller.cxx
@@ -133,27 +133,27 @@ void LanguageSelectionMenuController::impl_setPopupMenu()
 {
     Reference< XDispatchProvider > xDispatchProvider( m_xFrame, UNO_QUERY );
 
-    css::util::URL aTargetURL;
+    css::util::URL aURL;
 
     // Register for language updates
-    aTargetURL.Complete = m_aLangStatusCommandURL;
-    m_xURLTransformer->parseStrict( aTargetURL );
-    m_xLanguageDispatch = xDispatchProvider->queryDispatch( aTargetURL, OUString(), 0 );
+    aURL.Complete = m_aLangStatusActionURL;
+    m_xURLTransformer->parseStrict( aURL );
+    m_xLanguageDispatch = xDispatchProvider->queryDispatch( aURL, OUString(), 0 );
 
     // Register for setting languages and opening language dialog
-    aTargetURL.Complete = m_aMenuCommandURL_Lang;
-    m_xURLTransformer->parseStrict( aTargetURL );
-    m_xMenuDispatch_Lang = xDispatchProvider->queryDispatch( aTargetURL, OUString(), 0 );
+    aURL.Complete = m_aMenuActionURL_Lang;
+    m_xURLTransformer->parseStrict( aURL );
+    m_xMenuDispatch_Lang = xDispatchProvider->queryDispatch( aURL, OUString(), 0 );
 
     // Register for opening character dialog
-    aTargetURL.Complete = m_aMenuCommandURL_Font;
-    m_xURLTransformer->parseStrict( aTargetURL );
-    m_xMenuDispatch_Font = xDispatchProvider->queryDispatch( aTargetURL, OUString(), 0 );
+    aURL.Complete = m_aMenuActionURL_Font;
+    m_xURLTransformer->parseStrict( aURL );
+    m_xMenuDispatch_Font = xDispatchProvider->queryDispatch( aURL, OUString(), 0 );
 
     // Register for opening character dialog with preselected paragraph
-    aTargetURL.Complete = m_aMenuCommandURL_CharDlgForParagraph;
-    m_xURLTransformer->parseStrict( aTargetURL );
-    m_xMenuDispatch_CharDlgForParagraph = xDispatchProvider->queryDispatch( aTargetURL, OUString(), 0 );
+    aURL.Complete = m_aMenuActionURL_CharDlgForParagraph;
+    m_xURLTransformer->parseStrict( aURL );
+    m_xMenuDispatch_CharDlgForParagraph = xDispatchProvider->queryDispatch( aURL, OUString(), 0 );
 }
 
 void LanguageSelectionMenuController::fillPopupMenu( Reference< css::awt::XPopupMenu >& rPopupMenu , const Mode eMode )
@@ -247,15 +247,15 @@ void SAL_CALL LanguageSelectionMenuController::updatePopupMenu() throw ( css::un
     // Force status update to get information about the current languages
     osl::ClearableMutexGuard aLock( m_aMutex );
     Reference< XDispatch > xDispatch( m_xLanguageDispatch );
-    css::util::URL aTargetURL;
-    aTargetURL.Complete = m_aLangStatusCommandURL;
-    m_xURLTransformer->parseStrict( aTargetURL );
+    css::util::URL aURL;
+    aURL.Complete = m_aLangStatusActionURL;
+    m_xURLTransformer->parseStrict( aURL );
     aLock.clear();
 
     if ( xDispatch.is() )
     {
-        xDispatch->addStatusListener( (static_cast< XStatusListener* >(this)), aTargetURL );
-        xDispatch->removeStatusListener( (static_cast< XStatusListener* >(this)), aTargetURL );
+        xDispatch->addStatusListener( (static_cast< XStatusListener* >(this)), aURL );
+        xDispatch->removeStatusListener( (static_cast< XStatusListener* >(this)), aURL );
     }
 
     // TODO: Fill menu with the information retrieved by the status update
@@ -286,10 +286,10 @@ void SAL_CALL LanguageSelectionMenuController::initialize( const Sequence< Any >
 
         if ( m_bInitialized )
         {
-            m_aLangStatusCommandURL               = ".uno:LanguageStatus";
-            m_aMenuCommandURL_Lang                = m_aLangStatusCommandURL;
-            m_aMenuCommandURL_Font                = ".uno:FontDialog";
-            m_aMenuCommandURL_CharDlgForParagraph = ".uno:FontDialogForParagraph";
+            m_aLangStatusActionURL               = ".uno:LanguageStatus";
+            m_aMenuActionURL_Lang                = m_aLangStatusActionURL;
+            m_aMenuActionURL_Font                = ".uno:FontDialog";
+            m_aMenuActionURL_CharDlgForParagraph = ".uno:FontDialogForParagraph";
         }
     }
 }
